# Uses of Interface
org.opensaml.soap.common.SOAPObjectBuilder

Packages that use SOAPObjectBuilder
Package
Description
org.opensaml.soap.client.soap11.encoder.http.impl
SOAP 1.1 client message encoding support implementations.
org.opensaml.soap.soap11.encoder.http.impl
SOAP over HTTP 1.1 message encoder and handlers.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of SOAPObjectBuilder in org.opensaml.soap.client.soap11.encoder.http.impl

Fields in org.opensaml.soap.client.soap11.encoder.http.impl declared as SOAPObjectBuilder
Modifier and Type
Field
Description
`private SOAPObjectBuilder<Body>`
HttpClientRequestSOAP11Encoder.`bodyBuilder`
SOAP Body builder.
`private SOAPObjectBuilder<Envelope>`
HttpClientRequestSOAP11Encoder.`envBuilder`
SOAP Envelope builder.

## Uses of SOAPObjectBuilder in org.opensaml.soap.soap11.encoder.http.impl

Fields in org.opensaml.soap.soap11.encoder.http.impl declared as SOAPObjectBuilder
Modifier and Type
Field
Description
`private SOAPObjectBuilder<Body>`
HTTPSOAP11Encoder.`bodyBuilder`
SOAP Body builder.
`private SOAPObjectBuilder<Envelope>`
HTTPSOAP11Encoder.`envBuilder`
SOAP Envelope builder.

## Uses of SOAPObjectBuilder in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement SOAPObjectBuilder
Modifier and Type
Class
Description
`class`
`BodyBuilder`
Builder of `BodyImpl` objects.
`class`
`DetailBuilder`
Builder of `DetailImpl` objects.
`class`
`EnvelopeBuilder`
Builder of `EnvelopeImpl` objects.
`class`
`FaultActorBuilder`
A builder of `FaultActorImpl` objects.
`class`
`FaultBuilder`
Builder of `FaultImpl` objects.
`class`
`FaultCodeBuilder`
Builder of `FaultCodeImpl` objects.
`class`
`FaultStringBuilder`
Builder of `FaultStringImpl` objects.
`class`
`HeaderBuilder`
Builder of `HeaderImpl` objects.